For the complete documentation index, see llms.txt. This page is also available as Markdown.

ModifyCloudRoutersAttribute

1. API Description

This API (ModifyCloudRoutersAttribute) is used to modify Cloud Router Attribute

Notes

  • If any of the specified Cloud Routers does not exist, this operation fails immediately.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cloudRouterIds

Yes

Array of String

List of Cloud Router IDs, up to 100.

cloudRouterName

No

String

Cloud Router name, up to 255 characters. At least one of name or description must be specified.

cloudRouterDescription

No

String

Cloud Router description, up to 255 characters. At least one of name or description must be specified.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

1. Modify the Cloud Router name.

POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCloudRoutersAttribute
<Common Request Params>

Request:
{
    "cloudRouterIds": ["your-cloud-router-id"],
    "cloudRouterName": "Global-Edge-Router",
    "cloudRouterDescription": "Global edge router for production traffic"
}

Response:
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

MISSING_ROUTER_NAME_OR_DESCRIPTION

At least one of cloudRouterName or cloudRouterDescription must be provided.

Last updated